Subject: Re: Problem with Shift+Left or Right arrow in Cygwin locally (Ctrl isn't noticed) and through SSH (escape code isn't interpreted correctly)
From: Kent Larsson <[email-masked]>
To: [email-masked]
Date: Thu, 8 Apr 2010 11:19:06 +0200
List-Id: <cygwin.cygwin.com>

>> If I'm in Bash on my Ubuntu system I can use Ctrl+Left Arrow or Right
>> Arrow to navigate one word at a time to the left and right. When I use
>> Cygwin it doesn't react to the Ctrl, responding as if I only had
>> pressed the Left or Right Arrow. Is there a way to fix this?
>
> The standard Bash shortcuts for moving by a word that are Alt+f and
> Alt+b, so "fix" is a bit strong here. But anyway, stick these two
> lines into ~/.inputrc, restart bash, and you should be set:
>
> "\e[1;5D": backward-word
> "\e[1;5C": forward-word
>
> And here's one way to put Ctrl+Up/Down to use:
>
> "\e[1;5A": history-search-backward
> "\e[1;5B": history-search-forward

I didn't know that ctrl+left and ctrl+right wasn't standard shortcuts
in Bash. It's "always" (in my limited experience) been available so I
guess I just assumed. With this new information I agree that fix is a
bit strong, altough it did fix my problem. Thank you! :-)

>
> Shift combinations have a 2 instead of the 5, in case you want to map
> those to something. See this link for details on bash/readline key
> bindings:
>
> http://www.gnu.org/software/bash/manual/bashref.html#Command-Line-Editing

Interesting. I'll check it out.

>
>> The next step is when I log in from an Ubuntu 9.10 system to Cygwin 6
>> using SSH.
>
> Cygwin 6? Anyway, the above should work in this case as well, as long
> as you're using an xterm-compatible terminal on Ubuntu, which you are.

I got it from:

kentl@kentl ~
$ uname -a
CYGWIN_NT-6.0 kentl 1.7.1(0.218/5/3) 2009-12-07 11:48 i686 Cygwin

And thought it would be a good indicator of what I was using. I
realise now that I should have written Cygwin 1.7.x.

>
>> $ echo $TERM
>> xterm
>
> Andy

Thank you for your nice and informative reply!

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple